| Home | Libraries | People | FAQ | More

## Class template has_stable_iterators

boost::algorithm::has_stable_iterators — Stable iterators trait.

## Synopsis

    template<typename T>
    class has_stable_iterators {
    public:
      // types
      typedef mpl::bool_< has_stable_iterators< T >::value > type;

      static const bool value;
    };

## Description

This trait specifies that the sequence has stable iterators. It means that operations like insert/erase/replace do not invalidate iterators.

| Copyright © 2002-2004 Pavol Droba